%define upstream_name    X11-GUITest
%define upstream_version 0.25

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Provides GUI testing/interaction facilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/X11/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
BuildRequires: x11-proto-devel
BuildRequires: libx11-devel
BuildRequires: libxtst-devel
BuildRequires: libxt-devel
%description
This Perl package is intended to facilitate the testing of GUI applications
by means of user emulation. It can be used to test/interact with GUI
applications; which have been built upon the X library or toolkits (i.e.,
GTK+, Xt, Qt, Motif, etc.) that "wrap" the X library's functionality.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
if [ x${DISPLAY} != 'x' ]; then 
    make test
else
    exit 0
fi

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc META.yml eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.250.0-3.mga3
+ Revision: 374912
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.250.0-2.mga3
+ Revision: 251329
- rebuild for perl 5.16

* Wed Jun 15 2011 jquelin <jquelin> 0.250.0-1.mga2
+ Revision: 107547
- update to 0.25

* Sun Jun 12 2011 sander85 <sander85> 0.220.0-2.mga2
+ Revision: 105149
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.220.0-1.mga1
+ Revision: 31466
- mageia rebuild
- imported package perl-X11-GUITest

